Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.impl.model.content.generic
Class GenericContentProviderRegistry

    java.lang.Object
      org.jboss.portal.core.impl.model.content.generic.GenericContentProviderRegistry

    public class GenericContentProviderRegistry

extends java.lang.Object

Version:
  $Revision: 8786 $
Author:
  Julien Viet

Constructor Summary
`GenericContentProviderRegistry()`

Method Summary
`CustomizationManager` | `getCustomizationManager()`
`static GenericContentProviderRegistry` | `getInstance()`
`InstanceContainer` | `getInstanceContainer()`
`PortalAuthorizationManagerFactory` | `getPortalAuthorizationManagerFactory()`
`InternalContentProviderRegistry` | `getRegistry()`
`void` | `register(ContentType contentType, ContentPortlet contentPortlet)`
`void` | `setCustomizationManager(CustomizationManager customizationManager)`
`void` | `setInstanceContainer(InstanceContainer instanceContainer)`
`void` | `setPortalAuthorizationManagerFactory(PortalAuthorizationManagerFactory portalAuthorizationManagerFactory)`
`void` | `setRegistry(InternalContentProviderRegistry registry)`
`void` | `start()`
`void` | `stop()`
`void` | `unregister(ContentType contentType)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GenericContentProviderRegistry

    public GenericContentProviderRegistry()

Method Detail

### getInstance

    public static GenericContentProviderRegistry getInstance()

### getInstanceContainer

    public InstanceContainer getInstanceContainer()

### setInstanceContainer

    public void setInstanceContainer(InstanceContainer instanceContainer)

### getCustomizationManager

    public CustomizationManager getCustomizationManager()

### setCustomizationManager

    public void setCustomizationManager(CustomizationManager customizationManager)

### getRegistry

    public InternalContentProviderRegistry getRegistry()

### setRegistry

    public void setRegistry(InternalContentProviderRegistry registry)

### getPortalAuthorizationManagerFactory

    public PortalAuthorizationManagerFactory getPortalAuthorizationManagerFactory()

### setPortalAuthorizationManagerFactory

    public void setPortalAuthorizationManagerFactory(PortalAuthorizationManagerFactory portalAuthorizationManagerFactory)

### register

    public void register(ContentType contentType,
                         ContentPortlet contentPortlet)

### unregister

    public void unregister(ContentType contentType)

### start

    public void start()
               throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### stop

    public void stop()
              throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD